# class Tk::Tile::TCombobox

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

style(*args) click to toggle source

    # File lib/tkextlib/tile/tcombobox.rb, line 38
    def self.style(*args)
      [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
    end

### Public Instance Methods

current() click to toggle source

    # File lib/tkextlib/tile/tcombobox.rb, line 42
    def current
      number(tk_send_without_enc('current'))
    end

current=(idx) click to toggle source

    # File lib/tkextlib/tile/tcombobox.rb, line 45
    def current=(idx)
      tk_send_without_enc('current', idx)
    end

set(val) click to toggle source

    # File lib/tkextlib/tile/tcombobox.rb, line 49
    def set(val)
      tk_send('set', val)
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method Tk::Tile::TEntry#__boolval_optkeys

    # File lib/tkextlib/tile/tcombobox.rb, line 28
    def __boolval_optkeys
      super() << 'exportselection'
    end

__listval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/tile/tcombobox.rb, line 33
    def __listval_optkeys
      super() << 'values'
    end